### Class

# Ide UnsavedFiles

#### Description

    final class Ide.UnsavedFiles : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Functions

###### ide_unsaved_files_from_context

Gets the unsaved files object for `context`.

Available since: 3.32

#### Instance methods

###### ide_unsaved_files_clear

No description available.

###### ide_unsaved_files_contains

No description available.

###### ide_unsaved_files_get_sequence

No description available.

###### ide_unsaved_files_get_unsaved_file

Retrieves the unsaved file content for a particular file. If no unsaved file content is registered, `NULL` is returned.

Available since: 3.32

###### ide_unsaved_files_reap_async

No description available.

###### ide_unsaved_files_reap_finish

No description available.

###### ide_unsaved_files_remove

No description available.

###### ide_unsaved_files_restore_async

No description available.

###### ide_unsaved_files_restore_finish

No description available.

###### ide_unsaved_files_save_async

No description available.

###### ide_unsaved_files_save_finish

No description available.

###### ide_unsaved_files_to_array

This retrieves all of the unsaved file buffers known to the context. These are handy if you need to pass modified state to parsers such as clang.

Available since: 3.32

###### ide_unsaved_files_update

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.UnsavedFiles:project-id

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeUnsavedFilesClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.